QGIS Application - Bug report #371
Raster drawing errors
2006-11-02 01:18 PM - jeremy_fergason-yahoo-com -

Status: Closed
Priority: Low
Assignee: Tim Sutton
Category: Rasters

Affected QGIS version:
Operating System: RedHat
Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: worksforme

Copied to github as #: 10430

Description

When loading very large rasters the image does not always get drawn correctly. Sometimes the left most portion of the image gets drawn

twice or more to cover the right most part of the image.

This appears to be true for several different raster formats (I tested Mr. Sid and Geoitiff). You can reproduce this result by creating an

image that is 10000 pixels wide and 5000 pixels high and fill it with a simple gradient (green to red is what | used) and save as a tif. Then
load up and and zoom in on a thin strip covering the full width but only a portion of the height.

History

#1 - 2006-11-09 11:19 PM - Gavin Macaulay -

What version of gdal is qgis using? (available in the Help:About dialog box under the Providers tab). In our experience, most raster problems are due to the

raster reading library that qgis uses.

#2 - 2006-12-16 07:29 PM - Gavin Macaulay -
- Resolution set to worksforme

- Status changed from Open to Closed

No feedback for a month, and works for me with ggis 0.8 RC1 and gdal 1.3.2.

#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
